#ifndef _OF_APP_RUNNER
#define _OF_APP_RUNNER


#include "ofConstants.h"
#include "ofSimpleApp.h"
#include "ofGraphics.h"
#include "ofMath.h"
#include "ofUtils.h"

void 		ofSetupOpenGL(int w, int h, int screenMode);			// sets up the opengl context!
void 		ofRunApp(ofSimpleApp * OFSA);
float 		ofGetFrameRate();
void 		ofSetFrameRate(int targetRate);
void		ofSleepMillis(int millis);
void 		ofHideCursor();
void 		ofShowCursor();
void 		ofPositionWindow(int x, int y);
void 		ofShapeWindow(int width, int height);
void 		ofSetWindowTitle(string title);
void		ofToggleFullscreen();
void		ofSetFullscreen(bool fullscreen);
int			ofGetWindowMode();										
void 		ofSetVerticalSync(bool bSync);


#endif	
